Support
Student Support
Instructor Support
Forgot Your Login Info?
System Requirements

System Requirements

 

Operating Systems and Browsers

To work in MyPhilosophyLab, your computer must meet at least the 56 Kps (kilobits per second) connection speed.

The following operating systems and browsers are supported.

 

Operating Systems

Browsers

Windows

XP, Vista

Firefox 2.0, 3.0
Internet Explorer 6.0, 7.0

MacOS

10.2, 10.3, 10.4, 10.5

Firefox 2.0, 3.0
Safari 2.0, 3.x

 

Internet Explorer 8

Microsoft released IE8 on March 19, 2009 and we do not yet officially support it. If you are running IE 8 and are having display problems, you can correct the problem by using the Compatibility View. This view displays the website as though you had opened it using IE 7. You can switch to Compatibility View using the browser's Tools menu or the Compatibility View icon  on the Address bar:
Compatibility View Button
We will provide you with an update when we officially support IE 8.

AOL or CompuServe

If you are using a proprietary browser such as AOL or CompuServe, you may use that browser to connect to the Internet. To view website content and features, however, you must then use one of the browsers listed above.

Cookies and JavaScript options

MyPhilosophyLab may use both cookies and JavaScript technology. (Cookies provide a way for the Web site to identify users and keep track of their preferences.) Both of these features must be turned on in your browser and are usually enabled by default. See your browser Help for instructions on how to view or change these browser options.

Popup windows

Some features of this website display in a popup browser window. If you are using a browser that offers popup control or are running an add-on program to control popups, you may need to take steps to use such features. The steps to take depend on the browser or add-on program you are using.

Back to top

Additional Software

Depending on the content at your site, you may also need to download one or more free plug-ins (such as Adobe ® Reader ® , Macromedia ® Flash ™ , or Macromedia Shockwave ® ) You can use the Browser Tune-up to check whether a plug-in is installed. If it not, or you need to upgrade your version, you can follow links to download it.

Back to top

Plug-Ins

The Browser Tune-up utility will tell you whether or not media players and plugin programs are present on your computer and, when they are present, whether they are up to date.

To check and update media programs or plugins

  1. Click this Browser Tune-up link to open and work with the Browser Tune-up.
  2. In the list of plug-in programs in the center of the Browser Tune-up window, check which plug-ins are currently installed.
  3. For a plug-in that you need but which is not installed, click the Get It button to download the latest version. In some cases, you may need to register for the player or plugin, and you may need to restart your computer when you finish the download and installation.
  4. For a plug-in that is installed, click the Test It button to verify that it functions properly. If it does not, follow the on-screen instructions to download a new version.
  5. When you finish installing the players or plugins your website requires, close the Browser Tune-up, restart your browser, then return to MyPhilosophyLab.
Back to top